<?xml version="1.0"?>
<feed xmlns="http://www.w3.org/2005/Atom" xml:lang="en">
	<id>https://phuketer.com/w/index.php?action=history&amp;feed=atom&amp;title=Template%3ATree_list%2Fstyles.css</id>
	<title>Template:Tree list/styles.css - Revision history</title>
	<link rel="self" type="application/atom+xml" href="https://phuketer.com/w/index.php?action=history&amp;feed=atom&amp;title=Template%3ATree_list%2Fstyles.css"/>
	<link rel="alternate" type="text/html" href="https://phuketer.com/w/index.php?title=Template:Tree_list/styles.css&amp;action=history"/>
	<updated>2026-06-17T20:34:32Z</updated>
	<subtitle>Revision history for this page on the wiki</subtitle>
	<generator>MediaWiki 1.45.2</generator>
	<entry>
		<id>https://phuketer.com/w/index.php?title=Template:Tree_list/styles.css&amp;diff=1567&amp;oldid=prev</id>
		<title>imported&gt;Ahecht: spelling</title>
		<link rel="alternate" type="text/html" href="https://phuketer.com/w/index.php?title=Template:Tree_list/styles.css&amp;diff=1567&amp;oldid=prev"/>
		<updated>2026-05-26T20:20:13Z</updated>

		<summary type="html">&lt;p&gt;spelling&lt;/p&gt;
&lt;p&gt;&lt;b&gt;New page&lt;/b&gt;&lt;/p&gt;&lt;div&gt;/* {{pp-template}} */&lt;br /&gt;
&lt;br /&gt;
/* &lt;br /&gt;
	don&amp;#039;t draw over infobox when list is on the left of an infobox, see:&lt;br /&gt;
	https://en.wikipedia.org/wiki/Template_talk:Tree_list#Tree_list_breaks_clicking_links_in_infoboxes&lt;br /&gt;
	but also don&amp;#039;t break infobox width when the list is inside of an infobox, see:&lt;br /&gt;
	https://pl.wikipedia.org/wiki/Dyskusja_wikiprojektu:Infoboksy#c-Bastruk-20260525205400-Nux-20260525195700&lt;br /&gt;
*/&lt;br /&gt;
div.treelist {&lt;br /&gt;
	display: flow-root;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.treelist ul {&lt;br /&gt;
	padding: 0;&lt;br /&gt;
	margin: 0;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.treelist li {&lt;br /&gt;
	padding: 0;&lt;br /&gt;
	margin: 0;&lt;br /&gt;
	list-style: none;&lt;br /&gt;
	position: relative;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.treelist li li {&lt;br /&gt;
	/* @noflip */&lt;br /&gt;
	padding-left: 21px;&lt;br /&gt;
	text-indent: 0.3em;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* vertical line */&lt;br /&gt;
.treelist li li::before {&lt;br /&gt;
	content: &amp;quot;&amp;quot;;&lt;br /&gt;
	position: absolute;&lt;br /&gt;
	left: 10px;&lt;br /&gt;
	top: 0;&lt;br /&gt;
	bottom: 0;&lt;br /&gt;
	width: 1px;&lt;br /&gt;
	border-left: 1px solid #808080;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.treelist li li:last-child::before {&lt;br /&gt;
	bottom: calc(100% - 0.7em);&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* horizontal line */&lt;br /&gt;
.treelist li li::after {&lt;br /&gt;
	content: &amp;quot;&amp;quot;;&lt;br /&gt;
	position: absolute;&lt;br /&gt;
	left: 10px;&lt;br /&gt;
	top: 0.7em;&lt;br /&gt;
	width: 11px;&lt;br /&gt;
	border-top: 1px solid #808080;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* these lines deal with a new situation after the RemexHTML switch,&lt;br /&gt;
 * wherein li.treelist_emptyline inserts an additional .mw-empty-elt element before&lt;br /&gt;
 * the .treelist_emptyline element, causing the 1st child to become the 2nd child&lt;br /&gt;
 */&lt;br /&gt;
.treelist li.treelist_emptyline &amp;gt; ul &amp;gt; .mw-empty-elt:first-child + .treelist_emptyline::before,&lt;br /&gt;
.treelist li.treelist_emptyline &amp;gt; ul &amp;gt; :not(.mw-empty-elt):first-of-type::before {&lt;br /&gt;
	top: 0.7em;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.treelist li.treelist_emptyline &amp;gt; ul &amp;gt; .mw-empty-elt:first-child + .treelist_emptyline::after,&lt;br /&gt;
.treelist li.treelist_emptyline &amp;gt; ul &amp;gt; :not(.mw-empty-elt):first-of-type::after {&lt;br /&gt;
	left: 0;&lt;br /&gt;
	width: 21px;&lt;br /&gt;
}&lt;/div&gt;</summary>
		<author><name>imported&gt;Ahecht</name></author>
	</entry>
</feed>